# Uses of Enum Class
javafx.scene.control.OverrunStyle

Packages that use OverrunStyle
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of OverrunStyle in javafx.scene.control

Methods in javafx.scene.control that return OverrunStyle
Modifier and Type
Method
Description
`final OverrunStyle`
Labeled.`getTextOverrun()`
Gets the value of the `textOverrun` property.
`final OverrunStyle`
Tooltip.`getTextOverrun()`
Gets the value of the `textOverrun` property.
`static OverrunStyle`
OverrunStyle.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OverrunStyle[]`
OverrunStyle.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type OverrunStyle
Modifier and Type
Method
Description
`final ObjectProperty<OverrunStyle>`
Labeled.`textOverrunProperty()`
Specifies the behavior to use if the text of the `Labeled` exceeds the available space for rendering the text.
`final ObjectProperty<OverrunStyle>`
Tooltip.`textOverrunProperty()`
Specifies the behavior to use if the text of the `Tooltip` exceeds the available space for rendering the text.
Methods in javafx.scene.control with parameters of type OverrunStyle
Modifier and Type
Method
Description
`final void`
Labeled.`setTextOverrun(OverrunStyle value)`
Sets the value of the `textOverrun` property.
`final void`
Tooltip.`setTextOverrun(OverrunStyle value)`
Sets the value of the `textOverrun` property.